# PySNMP SMI module. Autogenerated from smidump -f python ROHC-UNCOMPRESSED-MIB
# by libsmi2pysnmp-0.0.8-alpha at Tue Feb  5 21:05:20 2008,
# Python version (2, 4, 4, 'final', 0)

# Imported just in case new ASN.1 types would be created
from pyasn1.type import constraint, namedval

# Imports

( Integer, ObjectIdentifier, OctetString, ) = mibBuilder.importSymbols("ASN1", "Integer", "ObjectIdentifier", "OctetString")
( rohcChannelID, rohcContextCID, ) = mibBuilder.importSymbols("ROHC-MIB", "rohcChannelID", "rohcContextCID")
( ModuleCompliance, ObjectGroup, ) = mibBuilder.importSymbols("SNMPv2-CONF", "ModuleCompliance", "ObjectGroup")
( Bits, Counter32, Integer32, ModuleIdentity, MibIdentifier, MibScalar, MibTable, MibTableRow, MibTableColumn, TimeTicks, mib_2, ) = mibBuilder.importSymbols("SNMPv2-SMI", "Bits", "Counter32", "Integer32", "ModuleIdentity", "MibIdentifier", "MibScalar", "MibTable", "MibTableRow", "MibTableColumn", "TimeTicks", "mib-2")

# Objects

rohcUncmprMIB = ModuleIdentity((1, 3, 6, 1, 2, 1, 113)).setRevisions(("2004-06-03 00:00",))
if mibBuilder.loadTexts: rohcUncmprMIB.setOrganization("IETF Robust Header Compression Working Group")
if mibBuilder.loadTexts: rohcUncmprMIB.setContactInfo("WG charter:\nhttp://www.ietf.org/html.charters/rohc-charter.html\n\nMailing Lists:\nGeneral Discussion: rohc@ietf.org\nTo Subscribe: rohc-request@ietf.org\nIn Body: subscribe your_email_address\n\nEditor:\nJuergen Quittek\nNEC Europe Ltd.\nNetwork Laboratories\nKurfuersten-Anlage 36\n69221 Heidelberg\nGermany\nTel: +49 6221 90511-15\nEMail: quittek@netlab.nec.de")
if mibBuilder.loadTexts: rohcUncmprMIB.setDescription("This MIB module defines a set of objects for monitoring\nand configuring RObust Header Compression (ROHC).\nThe objects are specific to ROHC uncompressed\n(profile 0x0000).\n\nCopyright (C) The Internet Society (2004). The\ninitial version of this MIB module was published\nin RFC 3816. For full legal notices see the RFC\nitself or see:\nhttp://www.ietf.org/copyrights/ianamib.html")
rohcUncmprObjects = MibIdentifier((1, 3, 6, 1, 2, 1, 113, 1))
rohcUncmprContextTable = MibTable((1, 3, 6, 1, 2, 1, 113, 1, 1))
if mibBuilder.loadTexts: rohcUncmprContextTable.setDescription("This table lists and describes ROHC uncompressed profile\nspecific properties of compressor contexts and\ndecompressor contexts.  It extends the rohcContextTable\nof the ROHC-MIB module.")
rohcUncmprContextEntry = MibTableRow((1, 3, 6, 1, 2, 1, 113, 1, 1, 1)).setIndexNames((0, "ROHC-MIB", "rohcChannelID"), (0, "ROHC-MIB", "rohcContextCID"))
if mibBuilder.loadTexts: rohcUncmprContextEntry.setDescription("An entry describing a particular context.")
rohcUncmprContextState = MibTableColumn((1, 3, 6, 1, 2, 1, 113, 1, 1, 1, 3), Integer().subtype(subtypeSpec=constraint.SingleValueConstraint(3,2,1,4,)).subtype(namedValues=namedval.NamedValues(("initAndRefresh", 1), ("normal", 2), ("noContext", 3), ("fullContext", 4), ))).setMaxAccess("readonly")
if mibBuilder.loadTexts: rohcUncmprContextState.setDescription("State of the context. States initAndRefresh(1) and normal(2)\nare states of compressor contexts, states noContext(3)\nand fullContext(4) are states of decompressor contexts.")
rohcUncmprContextMode = MibTableColumn((1, 3, 6, 1, 2, 1, 113, 1, 1, 1, 4), Integer().subtype(subtypeSpec=constraint.SingleValueConstraint(2,1,)).subtype(namedValues=namedval.NamedValues(("unidirectional", 1), ("bidirectional", 2), ))).setMaxAccess("readonly")
if mibBuilder.loadTexts: rohcUncmprContextMode.setDescription("Mode of the context.")
rohcUncmprContextACKs = MibTableColumn((1, 3, 6, 1, 2, 1, 113, 1, 1, 1, 5), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: rohcUncmprContextACKs.setDescription("The number of all positive feedbacks (ACK) sent or\nreceived in this context, respectively.\n\nDiscontinuities in the value of this counter can\noccur at re-initialization of the management\nsystem, and at other times as indicated by the\nvalue of ifCounterDiscontinuityTime.  For checking\nifCounterDiscontinuityTime, the interface index is\nrequired.  It can be determined by reading the\nrohcChannelTable of the ROHC-MIB.")
rohcUncmprConformance = MibIdentifier((1, 3, 6, 1, 2, 1, 113, 2))
rohcUncmprCompliances = MibIdentifier((1, 3, 6, 1, 2, 1, 113, 2, 1))
rohcUncmprGroups = MibIdentifier((1, 3, 6, 1, 2, 1, 113, 2, 2))

# Augmentions

# Groups

rohcUncmprStatisticsGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 113, 2, 2, 2)).setObjects(("ROHC-UNCOMPRESSED-MIB", "rohcUncmprContextACKs"), )
rohcUncmprContextGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 113, 2, 2, 1)).setObjects(("ROHC-UNCOMPRESSED-MIB", "rohcUncmprContextMode"), ("ROHC-UNCOMPRESSED-MIB", "rohcUncmprContextState"), )

# Exports

# Module identity
mibBuilder.exportSymbols("ROHC-UNCOMPRESSED-MIB", PYSNMP_MODULE_ID=rohcUncmprMIB)

# Objects
mibBuilder.exportSymbols("ROHC-UNCOMPRESSED-MIB", rohcUncmprMIB=rohcUncmprMIB, rohcUncmprObjects=rohcUncmprObjects, rohcUncmprContextTable=rohcUncmprContextTable, rohcUncmprContextEntry=rohcUncmprContextEntry, rohcUncmprContextState=rohcUncmprContextState, rohcUncmprContextMode=rohcUncmprContextMode, rohcUncmprContextACKs=rohcUncmprContextACKs, rohcUncmprConformance=rohcUncmprConformance, rohcUncmprCompliances=rohcUncmprCompliances, rohcUncmprGroups=rohcUncmprGroups)

# Groups
mibBuilder.exportSymbols("ROHC-UNCOMPRESSED-MIB", rohcUncmprStatisticsGroup=rohcUncmprStatisticsGroup, rohcUncmprContextGroup=rohcUncmprContextGroup)
